#!/bin/bash
ficherolog=/tmp/email_$(date +"%Y-%m-%d_%H.%M").log
if `/usr/bin/mail -e`; then
   #
   # saca todo el correo del buzón de root y lo deja en un fichero
   # luego borra el correo de root
   /usr/bin/mail --print 2>&1 > $ficherolog
   echo 'd *' | /usr/bin/mail -N > /dev/null
   #
   # ahora manda el fichero a creylopez
   #
   sudo -u creylopez echo "Correos de root de la última semana" | sudo -u creylopez mail -s "Correos de root" creylopez@yahoo.es -A $ficherolog

   rm $ficherolog
fi
exit 0
